Retrieve a Rack

View as Markdown

Get a Rack by ID.

Org must have an Infrastructure Provider entity. User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
idstringRequired
ID of the Rack

Query parameters

siteIdstringRequiredformat: "uuid"
ID of the Site
includeComponentsbooleanOptional
Include rack components in response

Response

OK
operationStatusenum
Operability phase aggregated from tray operationStatus values.
nvLinkDomainIdslist of strings
IDs of the NVLink Domains containing this Rack. Empty when the Rack is not assigned to an NVLink Domain.
taskStatsobject

Counts of non-terminal tasks currently associated with a rack or tray. Rack stats include component-scoped tasks on the rack; tray stats include only tasks that explicitly target the tray.

idstringOptional
Rack ID
namestringOptional
Name of the Rack
manufacturerstringOptional
Manufacturer of the Rack
modelstringOptional
Model of the Rack
serialNumberstringOptional
Serial number of the Rack
descriptionstringOptional
Description of the Rack
locationobjectOptional
Physical or logical location of the Rack
componentslist of objectsOptional
Components within the Rack. Only returned when includeComponents is true.

Errors

403
Forbidden Error
404
Not Found Error
504
Gateway Timeout Error